Batch update of a Prepared Item ingredients
Use this method if you want to add/ update/ delete a prepared item ingredient(s) Permissions: Unit users. PreparedItems api family.
Path Parameters
- Type: stringFormat: uuidbatch
I D requiredA batch identifier
- Type: stringFormat: uuidline
I D requiredA line identifier
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Body·
Entites to insert/update/delete
- Type: array of string | nullFormat: uuidDelete
- Properties: 6Type: array of OPS.Web.Api.v2.Models.PreparedItem.PreparedItemIngredientPostModel | nullInsert
- Properties: 5Type: array of OPS.Web.Api.v2.Models.PreparedItem.PreparedItemIngredientPatchModel | nullUpdate
Responses
Request Example for post/v2/PreparedItems/{batchID}/Lines/{lineID}/IngredientsBatch
curl /v2/PreparedItems/C895A81E-0C20-42C0-B2DC-EAF43F9447BD/Lines/C895A81E-0C20-42C0-B2DC-EAF43F9447BD/IngredientsBatch \
--request POST \
--header 'Content-Type: application/json-patch+json' \
--header 'DCKey: YOUR_SECRET_TOKEN' \
--data '{
"Delete": [
"C895A81E-0C20-42C0-B2DC-EAF43F9447BD"
],
"Insert": [
{
"Quantity": 0.01,
"Comment": null,
"HiddenItem": true,
"HiddenUM": true,
"ItemID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"MeasureID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD"
}
],
"Update": [
{
"Quantity": 0.01,
"Comment": null,
"HiddenItem": true,
"HiddenUM": true,
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD"
}
]
}'
[
{
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"ItemID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"ItemDescription": null,
"MeasureID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"MeasureDescription": null,
"Quantity": 0.01,
"Comment": null,
"Type": null,
"HiddenItem": true,
"HiddenUM": true
}
]